> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# マスターパスワードを更新

> Rename a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json PATCH /v1/public/accounts/{account_id}/credentials/{credential_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials/{credential_id}:
    patch:
      tags:
        - public-accounts
        - public-credentials
      summary: マスターパスワードを更新
      description: Rename a master password under the path account.
      operationId: >-
        update_public_credential_v1_public_accounts__account_id__credentials__credential_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialUpdateRequest:
      description: マスターパスワードの名前を変更するリクエスト。
      properties:
        name:
          description: マスターパスワードの表示名
          maxLength: 100
          minLength: 1
          title: 名前
          type: string
      required:
        - name
      title: CredentialUpdateリクエスト
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: マスターパスワード作成時刻
          title: 作成日時
          type: string
        id:
          description: マスターパスワード UUID
          format: uuid
          title: ID
          type: string
        name:
          description: マスターパスワードの表示名
          title: 名前
          type: string
        scope_id:
          description: マスターパスワードスコープのリソース UUID
          format: uuid
          title: スコープID
          type: string
        scope_type:
          description: マスターパスワードが適用されるリソーススコープの種類
          enum:
            - account
            - workspace
            - domain
          title: スコープタイプ
          type: string
        updated_at:
          description: マスターパスワードの最終更新時刻
          title: 更新日時
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````